{{ define "main" }}
  <div class="row">
    <div class="col-lg table-responsive">
      <table class="table table-striped table-hover">
        <thead>
          <tr>
            <th scope="col">Category</th>
            <th scope="col" class="text-end">Count</th>
          </tr>
        </thead>
        <tbody>
          {{ $title := urlize .Title }}
          {{ with .Site.Taxonomies.categories }}
            {{ range $name, $taxonomy := . }}
              {{ $term := urlize $name }}
              <tr>
                <th scope="row">{{ partial "category.html" .Page }}</th>
                <td class="text-end">{{ $taxonomy.Count  | lang.FormatNumber 0 }}</td>
              </tr>
            {{ end }}
          {{ end }}
        </tbody>
      </table>
    </div>
    <div class="col-lg">
      <canvas id="myChart"></canvas>
    </div>
  </div>

<script>
  const labels = [
      {{ with .Site.Taxonomies.categories -}}
      {{ range $name, $taxonomy := . -}}
      '{{ $name }}',
      {{- end -}}
      {{- end -}}
    ];
  const data = {
      labels: labels,
      datasets: [
          {
              label: 'Categories',
              data: [
                  {{ with .Site.Taxonomies.categories -}}
                  {{ range $name, $taxonomy := . -}}
                  {{ $taxonomy.Count }},
                  {{- end -}}
                  {{- end -}}
                ],
      backgroundColor: [
          {{ range $name, $taxonomy := .Site.Taxonomies.categories -}}
          'rgb({{ index (seq 255 | shuffle) 0}}, {{ index (seq 255 | shuffle) 0}}, {{ index (seq 255 | shuffle) 0}})',
          {{- end }}
        ],
            },
        ],
    };
  const config = {
      type: 'doughnut',
      data: data,
      options: {
          responsive: true,
          plugins: {
              legend: {
                  position: 'top',
                },
              title: {
                  display: true,
                  text: 'Categories repartition'
                }
            }
        },
    };

  var myChart = new Chart(
      document.getElementById('myChart'),
      config
    );
</script>
{{ end }}
